What browser do I need?

Any modern browser that supports either Adobe Flash or HTML 5 should run the training. 

Will the training run on a tablet?

Any tablet that supports the browser requirements should run the training.

Last modified: Friday, 22 November 2013, 08:03 PM